# FoundationClasses
TKernel
Units

# Units_MathSentence Class Reference

This class defines all the methods to create and
compute an algebraic formula.
.

`#include <Units_MathSentence.hxx>`

Inheritance diagram for Units_MathSentence:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Units_MathSentence (const Standard_CString astring)
| Creates and returns a MathSentence object. The string <astring> describes an algebraic formula in natural language. .

## Constructor & Destructor Documentation

Standard_EXPORT Units_MathSentence::Units_MathSentence | ( | const Standard_CString | astring | ) |

## Member Function Documentation

void Units_MathSentence::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Units_Sentence.

void* Units_MathSentence::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Units_Sentence.

void* Units_MathSentence::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Units_Sentence.

The documentation for this class was generated from the following file:

- Units_MathSentence.hxx